com.sun.grid.jgdi.monitoring

## Interface JobInfo

- All Known Subinterfaces:
    JobSummary
  All Known Implementing Classes:
    JobInfoImpl, JobSummaryImpl

      public interface JobInfo

  Holds the information about a job

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Get the id of the job
    `java.lang.String` | `getMasterQueue()` Get the name of the master queue of the job.
    `java.lang.String` | `getName()` Get the name of the job
    `double` | `getPriority()` Get the priority of the job
    `java.lang.String` | `getQinstanceName()` Get the queue instance name of the job
    `java.lang.String` | `getQueue()` Get the queue of the job
    `java.util.Date` | `getStartTime()` Get the start time of the job
    `java.lang.String` | `getState()` Get the state of the job
    `java.util.Date` | `getSubmitTime()` Get the submit time of the job
    `java.lang.String` | `getTaskId()` Get the task id of the job
    `java.lang.String` | `getUser()` Get the owner of the job

- - ### Method Detail

    - #### getId

          int getId()

      Get the id of the job
      Returns:
        id of the job

    - #### getTaskId

          java.lang.String getTaskId()

      Get the task id of the job
      Returns:
        task id of the job

    - #### getPriority

          double getPriority()

      Get the priority of the job
      Returns:
        the priority of the job

    - #### getName

          java.lang.String getName()

      Get the name of the job
      Returns:
        the name of the job

    - #### getUser

          java.lang.String getUser()

      Get the owner of the job
      Returns:
        user of the of the job

    - #### getState

          java.lang.String getState()

      Get the state of the job
      Returns:
        state of the job

    - #### getQueue

          java.lang.String getQueue()

      Get the queue of the job
      Returns:
        the queue

    - #### getQinstanceName

          java.lang.String getQinstanceName()

      Get the queue instance name of the job
      Returns:
        the queue instance name

    - #### getMasterQueue

          java.lang.String getMasterQueue()

      Get the name of the master queue of the job.
      Returns:
        name of the master queue

    - #### getSubmitTime

          java.util.Date getSubmitTime()

      Get the submit time of the job
      Returns:
        the submit time

    - #### getStartTime

          java.util.Date getStartTime()

      Get the start time of the job
      Returns:
        the start time

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.